Package com.avaya.clientservices.contact

## Class ContactException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.contact.ContactException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ContactException
      extends java.lang.Exception

  Exception representing contact related failure
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContactException​(ContactError error)` |
    `ContactException​(ContactError error, int protocolErrorCode, java.lang.String protocolErrorReason)` |
    `ContactException​(java.lang.String detailMessage, ContactError error, int protocolErrorCode, java.lang.String protocolErrorReason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ContactError` | `getError()` |
    `int` | `getProtocolErrorCode()` |
    `java.lang.String` | `getProtocolErrorReason()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactException

          public ContactException​(ContactError error)

    - #### ContactException

          public ContactException​(ContactError error,
                                  int protocolErrorCode,
                                  java.lang.String protocolErrorReason)

    - #### ContactException

          public ContactException​(java.lang.String detailMessage,
                                  ContactError error,
                                  int protocolErrorCode,
                                  java.lang.String protocolErrorReason)

  - ### Method Detail

    - #### getError

          public ContactError getError()

      Returns:
        contact error type.

    - #### getProtocolErrorCode

          public int getProtocolErrorCode()

      Returns:
        the error code from the underlying signaling protocol.

    - #### getProtocolErrorReason

          public java.lang.String getProtocolErrorReason()

      Returns:
        the error reason string from the underlying signaling protocol.